Subject: Re: catalogs

From: PAT LENZO <[email-masked]>
Date: Sun, 05 Mar 1995 19:48:38 -0600 (CST)

>         After a frantic search, I cannot find either my Lehanms or
> Cumberland General Store catalogs.  They are around but not around where I
> am.  I di find the following catalogs that may be interesting to you.

Don, 

It's nice to know that others are no better organized than I am. Now if someone
will just tell me that their floor has been swept, but has needed mopping for 
several weeks, I'll know I'm normal. ;-{

Pat